<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MySpecialtiesPane.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/models/MyMember.inc.php" );
	
	class MySpecialtiesPage extends DefaultFrontend {
		protected $oMySpecialtiesPane;

		public function __construct( $id = "MySpecialtiesPage" , $parent = null , $pagetype = "billing_shipping"  ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMySpecialtiesPane = new MySpecialtiesPane( "content_widget" , $this );
			} else {
				$this->oMySpecialtiesPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}


?>
